/*
 * $Id: ConvertedValue.java,v 1.1 2006/04/11 16:14:32 sugimotokenichi Exp $
 * Copyright (C) 2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/03/06
 */
package feat2.validation;

/**
 * コンバータで変換された値。
 * @author SUGIMOTO Ken-ichi
 */
public class ConvertedValue {

    private Object source;
    private Object converted;
    private boolean valid;

    public ConvertedValue(Object source, Object converted) {
        this.source = source;
        this.converted = converted;
        valid = true;
    }

    public Object getConverted() {
        return converted;
    }

    public Object getSource() {
        return source;
    }

    public boolean isValid() {
        return valid;
    }
    public void setValid(boolean valid) {
        this.valid = valid;
    }


}
